import {injectLocal, provideLocal} from "@vueuse/core";

const key = Symbol('SMS_SERVICE')

export const useProvideSendSmsFn = function (sendSmsFn) {
    provideLocal(key, {sendSmsFn})
    return sendSmsFn
}

export const useInjectSendSmsFn = function () {
    return injectLocal(key)
}